#
# iparapheur Web
# Copyright (C) 2019-2025 Libriciel SCOP
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#


sonar.host.url=https://sonarqube.libriciel.fr
sonar.typescript.lcov.reportPaths=coverage/ip-web/lcov.info
sonar.sourceEncoding=UTF-8

# Required metadata
sonar.projectKey=ip-web
sonar.projectName=ip-web
sonar.projectVersion=develop

# Project paths
sonar.sources=src
sonar.exclusions=**/node_modules/**,**/*.spec.ts
sonar.tests=src
sonar.test.inclusions=**/*.spec.ts
